# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu

#from jmb.core.conf.admin_menu import GenericMenuItem
from jmb.core.middleware.thread_local import get_current_user
from jmb.core.admin.menu import register_menu

locality_it_menu_item = items.MenuItem(
    # GENERAL
    _('Locality_it'), 
    reverse('admin:app_list', kwargs={'app_label': 'locality_it'}),
    children=[
        items.MenuItem(
            _('Locality_it'),
            '',
            children=[
                items.MenuItem(_('Add Locality_it'), reverse('admin:locality_it_locality_it_add',)), 
                items.MenuItem(_('Locality_it List'), reverse('admin:locality_it_locality_it_changelist',)),
            ]
        ),
    ]
)


register_menu(locality_it_menu_item, 'jmb.locality_it')